VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "clsCallback2"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
' Guide to the Perplexed: Callback2 Sample
' Copyright (c) 1997 by Desaware Inc.  All Rights Reserved

Option Explicit

Public Name$

Private callbackobject As clsCallback2Col

' Sample function that sets the callback
Public Sub SetCallback(myobject As Object)
   Set callbackobject = myobject
End Sub

' Sample function that does the callback
Public Sub EventDemo()
   callbackobject.SampleEvent Name$
End Sub
